Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.model
Class DefaultPointIndexIterator

    java.lang.Object
      jpicedt.graphic.model.DefaultPointIndexIterator

All Implemented Interfaces:
  PointIndexIterator

public class DefaultPointIndexIterator
extends Object
implements PointIndexIterator

Default implementation of the PointIndexIterator interface, which simply iterates in ascending order over all control points.

Field Summary
`protected int` | `counter`
`protected Element` | `elem`

Constructor Summary
`DefaultPointIndexIterator(Element e)` create a new PointIndexIterator for the given Element

Method Summary
`boolean` | `hasNext()` Returns true if the iteration has more elements
`int` | `next()` Returns the index of the next PicPoint in the iteration.
`void` | `reset()` reset the state of this iterator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### counter

    protected int counter

### elem

    protected Element elem

Constructor Detail

### DefaultPointIndexIterator

    public DefaultPointIndexIterator(Element e)

  create a new PointIndexIterator for the given Element

Method Detail

### hasNext

    public boolean hasNext()

  Returns true if the iteration has more elements

  Specified by:
    `hasNext` in interface `PointIndexIterator`
  Returns:
    true if the iterator has more elements

### next

    public int next()

  Returns the index of the next PicPoint in the iteration.

  Specified by:
    `next` in interface `PointIndexIterator`
  Returns:
    the index of the next user-controlled point in the iteration

### reset

    public void reset()

  Description copied from interface: `PointIndexIterator`
  reset the state of this iterator

  Specified by:
    `reset` in interface `PointIndexIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org